Page MenuHomePhabricator

suppress results from multimedia, wikiversity and wikinews; wikivoyage title search only
Closed, ResolvedPublic

Description

Based on comments in the RfC, for our production release, let's suppress (or not request) results from multimedia/commons, wikiversity and wikinews for the sister project snippets.

Also, for wikivoyage, we'll need to change the query to use the title search only

Once the changes have been made, we'll update the wmflabs instance with the new code, so that we can test and verify the new results.

Details

Event Timeline

debt created this task.Apr 20 2017, 4:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 20 2017, 4:43 PM
debt added a subscriber: dcausse.Apr 20 2017, 4:45 PM

Just to clarify, is this for English Wikipedia only? Other language variants have been approached and have not expressed the same concerns.

debt added a comment.Apr 20 2017, 5:15 PM

Just to clarify, is this for English Wikipedia only? Other language variants have been approached and have not expressed the same concerns.

We'll do this update for all wikis. The RfC is only for enwiki but I think at this time, it's best to keep all wikis with the same configuration. This might mean that our use of the SiteMatrix will go away, as we will now need to fine-grain the configuration for searches.

Just FYI, there is another ticket (T163223) that is exploring using boosted templates for the multimedia/commons images. My idea is to get that up and running on wmflabs and then do a RfC with the community on if this new way of searching/displaying images in the sister projects is good enough to go into production.

debt added a comment.May 9 2017, 5:45 PM

This has partially been completed - using title searches only for wikiversity and wikivoyage. see T163546 and https://gerrit.wikimedia.org/r/#/c/350453/ for more info.

@dcausse - would you be able to confirm that the work has been done with for ticket (completed as part of T163546)?

@debt inspecting the config for english wikipedia the current status is (production settings at the time of writing this comment) :

  • title search is enforced for wikivoyage and wikiversity
  • none of the sisterwikis are blacklisted
  • status for commons (multimedia) is unkown to me, iirc Erik deployed a patch to provide better template boosting but I have no idea if a patch has been merged to blacklist it.

So to sum up with what was requested for this ticket:

  1. title search should be enforced only for wikivoyage
  2. blacklist wikiversity and wikinews
  3. blacklist multimedia/commons

I can SWAT a patch to do 1 & 2 but for 3 it's still unclear to me what need to be done.

@debt please let me know what you'd like to do.

If the question was more "Are all the required patches deployed to configure "crosswiki blacklist & titlesearch"?
The answer is yes (except for blacklisting commons where I don't know the answer).

debt added a comment.May 9 2017, 9:18 PM

Hi @dcausse - thanks for the review! :)

Let's do a swat for:

  1. title search should be enforced only for wikivoyage on all wikis
  2. blacklist wikiversity and wikinews on enwiki only
  3. blacklist multimedia/commons on enwiki only

I love the patch that @EBernhardson used for the boosted templates for the commons/multimedia images display, but the enwiki community seems to still not be comfortable with releasing it. However, using the boosted templates for images should be used for all other wikis.

So, to recap:

  1. Blacklist only these projects on English Wikipedia: multimedia/commons, wikiversity and wikinews (might need Erik's help for the images blacklisting).
  2. Title only search for Wikivoyage (on all wikis).
  3. Keep using boosted templates for multimedia/commons images on all other wikis.

Change 353043 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [WIP] [cirrus] Blacklist wikinews and wikiversity from cross project search on enwiki

https://gerrit.wikimedia.org/r/353043

There are two patches in core and CirrusSearch that needs to be rolled out with the train. Everything should be deployed on May 26 (no train deploys next week).

dcausse claimed this task.May 11 2017, 10:03 AM

train was delayed so this is still pending.

Change 353043 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Blacklist wikinews, wikiversity and multimedia from cross project search on enwiki

https://gerrit.wikimedia.org/r/353043

Mentioned in SAL (#wikimedia-operations) [2017-06-01T23:18:21Z] <ebernhardson@tin> Synchronized wmf-config/InitialiseSettings.php: T163463: apply sister search restrictions requested by enwiki (duration: 00m 40s)

Mentioned in SAL (#wikimedia-operations) [2017-06-01T23:20:15Z] <ebernhardson@tin> Synchronized wmf-config/CirrusSearch-common.php: T163463: apply sister search restrictions requested by enwiki (duration: 00m 39s)

gh87 updated the task description. (Show Details)Jun 2 2017, 2:37 AM
debt added a comment.Jun 2 2017, 7:39 PM

The testing URL has now been updated to look like what will go into production on enwiki, hopefully next week, barring any other issues.

debt closed this task as Resolved.Jun 2 2017, 7:41 PM
debt moved this task from Needs review to Done on the Discovery-Search (Current work) board.